import { QuirrelClient, } from "./client";
import { registerDevelopmentDefaults } from "./client/config";
registerDevelopmentDefaults({
    applicationBaseUrl: "http://localhost:3000",
});
export function Queue(route, handler, defaultJobOptions) {
    const quirrel = new QuirrelClient({
        defaultJobOptions,
        handler,
        route,
    });
    async function nextApiHandler(req, res) {
        const response = await quirrel.respondTo(req.body, req.headers);
        res.status(response.status);
        for (const [header, value] of Object.entries(response.headers)) {
            res.setHeader(header, value);
        }
        res.send(response.body);
    }
    nextApiHandler.enqueue = (payload, options) => quirrel.enqueue(payload, options);
    nextApiHandler.enqueueMany = (jobs) => quirrel.enqueueMany(jobs);
    nextApiHandler.delete = (jobId) => quirrel.delete(jobId);
    nextApiHandler.invoke = (jobId) => quirrel.invoke(jobId);
    nextApiHandler.get = () => quirrel.get();
    nextApiHandler.getById = (jobId) => quirrel.getById(jobId);
    return nextApiHandler;
}
export function CronJob(route, cronSchedule, handler) {
    return Queue(route, handler);
}
//# sourceMappingURL=next.js.map