import { QuirrelClient, } from "./client";
import { registerDevelopmentDefaults } from "./client/config";
registerDevelopmentDefaults({
    applicationBaseUrl: "localhost:3000",
});
export function Queue(route, handler, defaultJobOptions) {
    const quirrel = new QuirrelClient({
        defaultJobOptions,
        handler,
        route,
    });
    async function svelteHandler(request) {
        const { body, headers, status } = await quirrel.respondTo(request.body, request.headers);
        return {
            status,
            body,
            headers,
        };
    }
    svelteHandler.enqueue = (payload, options) => quirrel.enqueue(payload, options);
    svelteHandler.enqueueMany = (jobs) => quirrel.enqueueMany(jobs);
    svelteHandler.delete = (jobId) => quirrel.delete(jobId);
    svelteHandler.invoke = (jobId) => quirrel.invoke(jobId);
    svelteHandler.get = () => quirrel.get();
    svelteHandler.getById = (jobId) => quirrel.getById(jobId);
    return svelteHandler;
}
export function CronJob(route, cronSchedule, handler) {
    return Queue(route, handler);
}
//# sourceMappingURL=sveltekit.js.map